FileStatus.AttrFlags (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: FileStatus, enum: AttrFlags

Package org.apache.hadoop.fs

# Enum Class FileStatus.AttrFlags

java.lang.Object
java.lang.Enum<FileStatus.AttrFlags>
org.apache.hadoop.fs.FileStatus.AttrFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<FileStatus.AttrFlags>`, `Constable`

Enclosing class:
  FileStatus

public static enum FileStatus.AttrFlags extends Enum<FileStatus.AttrFlags>
Flags for entity attributes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HAS_ACL`
  ACL information available for this entity.
  `HAS_CRYPT`
  Entity is encrypted.
  `HAS_EC`
  Entity is stored erasure-coded.
  `SNAPSHOT_ENABLED`
  Snapshot capability enabled.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileStatus.AttrFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileStatus.AttrFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HAS_ACL

    public static final FileStatus.AttrFlags HAS_ACL
    ACL information available for this entity.

  - ### HAS_CRYPT

    public static final FileStatus.AttrFlags HAS_CRYPT
    Entity is encrypted.

  - ### HAS_EC

    public static final FileStatus.AttrFlags HAS_EC
    Entity is stored erasure-coded.

  - ### SNAPSHOT_ENABLED

    public static final FileStatus.AttrFlags SNAPSHOT_ENABLED
    Snapshot capability enabled.

- ## Method Details

  - ### values

    public static FileStatus.AttrFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileStatus.AttrFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null